Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
phanthanh536

Làm sao để xoay trục 180 độ mà text không bị ngược?

Các bài được khuyến nghị

Tot77    501

 Thử cái này nữa.

 

 
(defun c:qq( / get-x get-y oce xp yp rwc )
(setq oce (getvar "cmdecho"))
(setvar "cmdecho" 0)
(setvar "luprec" 4)
(main)
(setvar "cmdecho" oce)
)
 
;;;----------------------------- Leader Placement Routine ---------------------
;;; Here is where the leaders are actually written to the database
;;; based upon the value of coordinates passed from module "MAIN" .
;;; Null points are ignored.
 
(defun do_put_leader( xyp / en eg)
(setq en (entlast)) 
(command "_.leader" rwc pause "" xyp "") 
(while (setq en (entnext en))
(if (= "MTEXT" (cdr (assoc 0 (entget en))))
(progn 
 (setq eg (entget en)
eg (subst (cons 210 '(0 0 1)) (assoc 210 eg) eg)
eg (subst (cons 71 7) (assoc 71 eg) eg)
)
(entmod eg)
)
 )
)
)
 
;;;----------------------------- xyz coordinate breakdown ----------------------
;;; This routine accepts a point from the calling function and breaks it down
;;; into X,Y values.
 
(defun get_xyz ( pt )
 (strcat "(" (rtos (* 0.001 (car pt)) 2 3) ";" (rtos (* 0.001 (cadr pt)) 2 3) ")"))
 
 
;;;-------------------Secondary main module------------------------------------
;;; Accepts the user input and allows the user to select many objects in
;;; succession.
 
(defun main()
(setq olddim (getvar "dimstyle") 
a (getreal "\n Input Text Height for Annotation : <2.5> "))
(if (null a) (setq a 2.5))
(setvar "dimtxt" a)
 
(while (setq rwc (getpoint "\nSelect point: "))
(do_put_leader (get_xyz rwc))
)
(command "dimstyle" "restore" olddim)
)
 
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tot77    501

Cái này đúng hơn.

 

(defun c:qq( / get-x get-y oce xp yp rwc )
(setq oce (getvar "cmdecho"))
(setvar "cmdecho" 0)
(setvar "luprec" 4)
(main)
(setvar "cmdecho" oce)
)
 
;;;----------------------------- xyz coordinate breakdown ----------------------
;;; This routine accepts a point from the calling function and breaks it down
;;; into X,Y values.
 
(defun get_xyz ( pt )
 (strcat "(" (rtos (* 0.001 (car pt)) 2 3) ";" (rtos (* 0.001 (cadr pt)) 2 3) ")"))
 
 
;;;-------------------Secondary main module------------------------------------
;;; Accepts the user input and allows the user to select many objects in
;;; succession.
 
(defun main()
(setvar 'dimzin 8)
(setq olddim (getvar "dimstyle") 
a (getreal (strcat "\n Input Text Height for Annotation <"
(if txtheight (rtos txtheight) (rtos (setq txtheight 2.5))) "> :"))
)
(if a (setq txtheight a))
(setvar 'dimtxt txtheight)
 
(while (setq rwc (getpoint "\nSelect point: "))
(setq xyp (get_xyz rwc)
rwc (trans rwc 1 0))
(command "ucs" "w")
 (command "_.leader" rwc pause "" xyp "")
 (command "ucs" "p")
)
(command "dimstyle" "restore" olddim)
)
 
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

bác Tot ơi e không hiểu tại sao lúc sang cái lip bác viết cho e trước ý. rõ ràng là ngon rồi mà chả hiểu sao giờ nó trở về như cũ rồi, e sợ nhầm file nên e download lại về nhưng vẫn ko đc. bác xem giúp e với ak

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Cái này đúng hơn.

 

(defun c:qq( / get-x get-y oce xp yp rwc )
(setq oce (getvar "cmdecho"))
(setvar "cmdecho" 0)
(setvar "luprec" 4)
(main)
(setvar "cmdecho" oce)
)
 
;;;----------------------------- xyz coordinate breakdown ----------------------
;;; This routine accepts a point from the calling function and breaks it down
;;; into X,Y values.
 
(defun get_xyz ( pt )
 (strcat "(" (rtos (* 0.001 (car pt)) 2 3) ";" (rtos (* 0.001 (cadr pt)) 2 3) ")"))
 
 
;;;-------------------Secondary main module------------------------------------
;;; Accepts the user input and allows the user to select many objects in
;;; succession.
 
(defun main()
(setvar 'dimzin 8)
(setq olddim (getvar "dimstyle") 
a (getreal (strcat "\n Input Text Height for Annotation <"
(if txtheight (rtos txtheight) (rtos (setq txtheight 2.5))) "> :"))
)
(if a (setq txtheight a))
(setvar 'dimtxt txtheight)
 
(while (setq rwc (getpoint "\nSelect point: "))
(setq xyp (get_xyz rwc)
rwc (trans rwc 1 0))
(command "ucs" "w")
 (command "_.leader" rwc pause "" xyp "")
 (command "ucs" "p")
)
(command "dimstyle" "restore" olddim)
)
 

OK rồi bác ạ. e ngàn lần cám ơn bác, cơ mà cho e hỏi tại sao e ko bấm đc nút like nữa ak. 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×